#ifndef BILLYSHEET_CONTROLLER_HPP
#define BILLYSHEET_CONTROLLER_HPP

namespace character {
	class CharacterSheet;
}

namespace gui::menu {
	class MenuData;
}

class Controller final {
private:
	character::CharacterSheet &sheet;
	gui::menu::MenuData &menu_data;

public:
	Controller() = delete;

	explicit Controller(character::CharacterSheet &sheet, gui::menu::MenuData &menuData) : sheet(sheet), menu_data(menuData) {}

	~Controller() noexcept = default;

	void control_menu() const noexcept;

	void control_sheet()const noexcept;
};


#endif //BILLYSHEET_CONTROLLER_HPP
